/**
 * BSearchTest.java
 */

public class BSearchTest {

  public static void main( String args[] )
  {
    int a[] = { 12, 15, 27, 27, 27, 31, 31, 32 };

    System.out.println( binarySearch(a, 27) );
    System.out.println( binarySearch(a, 31) );
    System.out.println( binarySearch(a, 100) );
  }

  public static int binarySearch( int a[], int value )
  {
    int index = -1;
    int left = 0, right = a.length-1, mid;

    while( left <= right )
    {
      mid = (left+right)/2;
      if( a[mid] > value ) right = mid - 1;
      else if( a[mid] < value ) left = mid + 1;
      else
      {
        index = mid;
        right = mid -1 ;
      }
    }

    return index;
  }

} // end of class BSearchTest
